# Welcome to the Reality Stack Off-The-Shelf Stylus

This package is based on the Off-The-Shelf Stylus (OTSS), a modular and extensible approach for repurposing XR controllers as controller styluses for touch-based interaction on physical surfaces.

The publication can be found here: https://doi.org/10.3389/frvir.2021.684498
The original repository can be found here: https://gitlab2.informatik.uni-wuerzburg.de/hci-development/otss-off-the-shelf-stylus

This package utilizes Reality Stack I/O (RSIO), an intermediate layer that implements native manufacturer SDKs and the OpenXR standard. 

Please check out the [Reality Stack Base package](https://gitlab2.informatik.uni-wuerzburg.de/hci-development/realitystack/realitystack-io-base) for a quick start guide and more information.

This package is free and open source, licensed under the [MIT License](LICENSE.md).

# Digital Inking Package

This package provides a digital inking solution, using a GL Path Renderer.

Please follow these steps to set up this package:

- Add the `io-base` and the `io-interaction` package.
- Open the sample scenes in `Runtime/Scenes`